Package gbp :: Package scripts :: Module config

[hide private]
[frames] | no frames]

# Module config

Query and display config file values

Functions | [hide private]

build_parser(name) |

parse_args(argv) |

build_cmd_parser(section) Populate the parser to get a list of valid options |

print_single_option(parser, option, printer) |

print_all_options(parser, printer) |

print_cmd_values(query, printer) Print configuration values of a command |

value_printer(value) |

main(argv) |

Variables | [hide private]

| __package__ = ``'``gbp.scripts``'``

Function Details | [hide private]

### print_cmd_values(query, printer)

Print configuration values of a command

Parameters:
  - `query` - the section to print the values for or section.option to print
  - `printer` - the printer to output the values